#ifndef SOURCEREGIONS_H
#define SOURCEREGIONS_H

#include <iostream>
#include <vector>
#include "Dal.h"

class SourceRegions {

public:
	SourceRegions(std::string spec_file);
	std::vector<double> getRegion();
	std::string getobs_id();
	std::string getcontent();
	int getsrcnum();
	int getbackscale();
	std::string getShape1stRow();
	double getTotalSpecCounts();
	std::vector<double> getSrcRADec();
	std::string getExpid();
	std::string getMType1();
	std::string getMForm1();

private:
	void readRegions();
	std::string _spec_file;
	std::vector<double> _res;
	std::vector<double> _regions;
	std::string _obs_id;
	std::string _content;
	std::string _expid;
	std::string _shape_1strow;
	int _srcnum;
	int _backscale;
	double _total_spec_counts;
	std::vector<double>  _src_ra_dec;
	std::string _mtype1;
	std::string _mform1;

	//void set_palette();
	//float* TransformMatrix();
	//float* _image;
	//std::vector<int> _effMinMax;
	//std::vector<int> _size;
	//std::vector<double> _xy_limits;

	//void calRegMOS_small();
	//std::vector<int> calCCDlimits();
	//double _rawx;
	//double _rawy;
	//int _ccdnr;
	//double _rad;
	//std::vector<int> ccd_limits;
	//std::string _device;
	//std::string _instr;
	//std::string _mode;
	//std::vector<double> _res;

};

#endif
